Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Iterator< itType > Struct Template Reference

`#include <Iterator.h>`

Inherited by tlp::ConcatIterator< itType >, and tlp::StableIterator< itType >.

Inheritance diagram for tlp::Iterator< itType >:

[legend]
List of all members.

## Detailed Description

### template<class itType>
struct tlp::Iterator< itType >

Interface of Iterators.

## Public Member Functions

- Iterator ()
- virtual ~Iterator ()
- virtual itType next ()=0
    Return the next element.
- virtual bool hasNext ()=0
    Return true if it exist a next element.

## Constructor & Destructor Documentation

template<class itType>
tlp::Iterator< itType >::Iterator | ( |  | ) | `[inline]`

template<class itType>
virtual tlp::Iterator< itType >::~Iterator | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class itType>
virtual bool tlp::Iterator< itType >::hasNext | ( |  | ) | `[pure virtual]`

| Return true if it exist a next element. Implemented in tlp::ConcatIterator< itType >, tlp::StableIterator< itType >, tlp::StlIterator< VALUE, ITERATOR >, tlp::StlMapIterator< KEY, VALUE >, tlp::StableIterator< node >, and tlp::StableIterator< edge >.

template<class itType>
virtual itType tlp::Iterator< itType >::next | ( |  | ) | `[pure virtual]`

| Return the next element. Implemented in tlp::ConcatIterator< itType >, tlp::StableIterator< itType >, tlp::StlIterator< VALUE, ITERATOR >, tlp::StlMapIterator< KEY, VALUE >, tlp::StableIterator< node >, and tlp::StableIterator< edge >.

Tulip Software by LaBRI Visualization Team 2001 - 2010